<html>

<head>
    <title>course CRUD</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
    <script src="script/script.js"></script>
    <script src="script/CourseDetailScript.js"></script>

</head>

<body>
    <!-- Vùng header -->
    <div class="container-fluid">
        <div class="text-center">
            <h2>Courses Detail</h2>
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="btn-add-course"><i class="fa fa-plus"></i>&nbsp; Add course</button>
        </div>
    </div>
    <!-- Vouche Data Table -->
    <div class="container-fluid">
        <table class="table table-bordered table-striped table-hover" id="courses-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>CourseCode</th>
                    <th>CourseName</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Duration</th>
                    <th>Level</th>
                    <th>Cover Image</th>
                    <th>Teacher Name</th>
                    <th>Teacher Photo</th>
                    <th>Is Popular</th>
                    <th>Is Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
        </table>
    </div>
    <!-- Vùng Modal -->

    <!-- Modal create course -->
    <div id="create-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Create New Course</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form class="bg-light p-4 mb-2">
                        <h3 class="text-center mb-4">Course Information</h3>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-course-id" class="col-form-label">Id</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-course-id" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-course-code" class="col-form-label">Course code</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-course-code">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-course-name" class="col-form-label">Course name</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-course-name">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-teacher-name" class="col-form-label">Teacher name</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-teacher-name">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-price" class="col-form-label">Price</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-price">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-discount-price" class="col-form-label">Discount
                                            price</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-discount-price">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-duration" class="col-form-label">Duration</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-duration">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="sel-create-level" class="col-form-label">Level</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="sel-create-level">
                                            <option value="">Select level</option>
                                            <option value="Beginner">Beginner</option>
                                            <option value="Advanced">Advanced</option>
                                            <option value="Intermediate">Intermediate</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-cover-image" class="col-form-label">Cover image</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-cover-image">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-create-teacher-photo" class="col-form-label">Teacher
                                            photo</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-create-teacher-photo">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                    </div>
                                    <div class="col-sm-8 form-check">
                                        <input type="checkbox" id="chk-create-is-popular" />
                                        <label for="chk-create-is-popular" class="col-form-label">Popular</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                    </div>
                                    <div class="col-sm-8 form-check">
                                        <input type="checkbox" id="chk-create-is-trending" />
                                        <label for="chk-create-is-trending" class="col-form-label">Trending</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="submit" id="btn-create-course" class="btn btn-success">Thêm mới</button>
                    <button type="button" id="btn-modal-close" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal edit course -->
    <div id="edit-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Chỉnh sửa khóa học</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form class="bg-light p-4 mb-2">
                        <h3 class="text-center mb-4">Course Information</h3>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-course-id" class="col-form-label">Id</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-course-id" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-course-code" class="col-form-label">Course code</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-course-code">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-course-name" class="col-form-label">Course name</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-course-name">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-teacher-name" class="col-form-label">Teacher name</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-teacher-name">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-price" class="col-form-label">Price</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-price">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-discount-price" class="col-form-label">Discount
                                            price</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-discount-price">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-duration" class="col-form-label">Duration</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-duration">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="sel-edit-level" class="col-form-label">Level</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="sel-edit-level">
                                            <option value="">Select level</option>
                                            <option value="Beginner">Beginner</option>
                                            <option value="Advanced">Advanced</option>
                                            <option value="Intermediate">Intermediate</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-cover-image" class="col-form-label">Cover image</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-cover-image">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-edit-teacher-photo" class="col-form-label">Teacher photo</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="inp-edit-teacher-photo">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                    </div>
                                    <div class="col-sm-8 form-check">
                                        <input type="checkbox" id="chk-edit-is-popular" />
                                        <label for="chk-edit-is-popular" class="col-form-label">Popular</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                    </div>
                                    <div class="col-sm-8 form-check">
                                        <input type="checkbox" id="chk-edit-is-trending" />
                                        <label for="chk-edit-is-trending" class="col-form-label">Trending</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="submit" id="btn-update-course" class="btn btn-success">Cập nhật</button>
                    <button type="button" id="btn-modal-close" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal delete course -->
    <div id="delete-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Delete Course Confirmation</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <label>Bạn có chắc chắn muốn xóa khóa học này không?</label>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-danger" id="btn-confirm-delete-course">Xác nhận</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
</body>

</html>